function FileData_Pairs(x)
{
x.t("example","included");
x.t("example","storing");
x.t("included","tibco");
x.t("rather","reference");
x.t("implement","javax.naming.referenceable");
x.t("implement","jndi");
x.t("rfc","2713");
x.t("refer","tibjmsjndistore.java");
x.t("administered","objects");
x.t("administered","object");
x.t("required","client");
x.t("required","re-create");
x.t("instance","object");
x.t("ensures","returned");
x.t("always","valid");
x.t("storing","administered");
x.t("storing","objects");
x.t("foreign","naming/directory");
x.t("synchronization","foreign");
x.t("referenceable","interface");
x.t("creates","new");
x.t("uses","information");
x.t("uses","javacodebase");
x.t("interface","means");
x.t("interface","therefore");
x.t("look","tibco");
x.t("public","constructor");
x.t("bound","foreign");
x.t("bound","directory");
x.t("bound","along");
x.t("bound","javacodebase");
x.t("form","used");
x.t("binds","object");
x.t("however","automatic");
x.t("however","object");
x.t("inside","tibco");
x.t("original","object");
x.t("automatically","without");
x.t("requirement","however");
x.t("objects","implement");
x.t("objects","url");
x.t("objects","stored");
x.t("objects","naming/directory");
x.t("objects","cannot");
x.t("objects","forms");
x.t("objects","created");
x.t("supplied","tibco");
x.t("new","administered");
x.t("new","instance");
x.t("enterprise","message");
x.t("2713","subsequently");
x.t("depends","origin");
x.t("url","retrieves");
x.t("url","reference");
x.t("url","context");
x.t("url","pointer");
x.t("url","object");
x.t("realizes","local");
x.t("realizes","reference");
x.t("requires","tibco");
x.t("guarantee","object");
x.t("directly","bound");
x.t("stored","form");
x.t("stored","url");
x.t("stored","local");
x.t("stored","reference");
x.t("stored","serialized");
x.t("stored","object");
x.t("follows","schema");
x.t("follows","associated");
x.t("constructor","class");
x.t("provider","uses");
x.t("provider","supplied");
x.t("provider","url");
x.t("provider","follows");
x.t("provider","local");
x.t("provider","jndi");
x.t("provider","requests");
x.t("provider","successfully");
x.t("provider","object");
x.t("illustrates","case");
x.t("further","url");
x.t("subsequently","looked");
x.t("exists","inside");
x.t("sun's","ldap");
x.t("local","reference");
x.t("tibjmsjndistore.java","example");
x.t("javax.naming.referenceable","interface");
x.t("attribute","sun's");
x.t("attribute","directory");
x.t("attribute","object");
x.t("jndi","referenceable");
x.t("jndi","realizes");
x.t("jndi","provider");
x.t("jndi","third-party");
x.t("jndi","object");
x.t("retrieves","object");
x.t("naming/directory","services");
x.t("naming/directory","service");
x.t("looked","foreign");
x.t("looked","tibco");
x.t("looked","two");
x.t("looked","service");
x.t("whatever","information");
x.t("occurs","automatically");
x.t("occurs","client");
x.t("invokes","url");
x.t("invokes","tibco");
x.t("automatic","synchronization");
x.t("means","bound");
x.t("first","manually");
x.t("chapter","using");
x.t("cannot","directly");
x.t("requests","lookup");
x.t("interaction","required");
x.t("interaction","client");
x.t("returned","third-party");
x.t("returned","lookup");
x.t("returned","object");
x.t("directory","service");
x.t("reference","ensures");
x.t("reference","creates");
x.t("reference","objects");
x.t("reference","requires");
x.t("reference","further");
x.t("reference","invokes");
x.t("reference","returned");
x.t("reference","client");
x.t("reference","tibco");
x.t("reference","actual");
x.t("reference","object");
x.t("client","storing");
x.t("client","creates");
x.t("client","binds");
x.t("client","however");
x.t("client","requests");
x.t("client","client");
x.t("client","figure");
x.t("client","using");
x.t("client","behavior");
x.t("instantiate","original");
x.t("tibco","enterprise");
x.t("tibco","software");
x.t("message","service");
x.t("schema","defined");
x.t("successfully","look");
x.t("actual","object");
x.t("serialized","serialized");
x.t("serialized","object");
x.t("re-create","original");
x.t("re-create","object");
x.t("factory","tibco");
x.t("factory","associated");
x.t("running","url");
x.t("knows","re-create");
x.t("figure","illustrates");
x.t("figure","following");
x.t("figure","object");
x.t("forms","refer");
x.t("forms","reference");
x.t("originating","server");
x.t("third-party","jndi");
x.t("third-party","naming/directory");
x.t("third-party","service");
x.t("services","storing");
x.t("valid","exists");
x.t("valid","object");
x.t("context","factory");
x.t("along","javacodebase");
x.t("information","required");
x.t("information","stored");
x.t("happens","automatically");
x.t("defined","rfc");
x.t("case","figure");
x.t("ldap","service");
x.t("physically","stored");
x.t("two","forms");
x.t("itself","rather");
x.t("created","locally");
x.t("locally","requirement");
x.t("locally","client");
x.t("locally","returns");
x.t("locally","behavior");
x.t("locally","object");
x.t("javacodebase","attribute");
x.t("service","administered");
x.t("service","storing");
x.t("service","follows");
x.t("service","provider");
x.t("service","jndi");
x.t("service","chapter");
x.t("service","tibco");
x.t("service","physically");
x.t("service","using");
x.t("service","server");
x.t("used","depends");
x.t("pointer","originating");
x.t("following","occurs");
x.t("special","interaction");
x.t("using","public");
x.t("using","constructor");
x.t("using","jndi");
x.t("using","third-party");
x.t("lookup","tibco");
x.t("lookup","valid");
x.t("lookup","object");
x.t("class","reference");
x.t("class","client");
x.t("returns","client");
x.t("returns","object");
x.t("manually","serialized");
x.t("origin","original");
x.t("associated","url");
x.t("associated","reference");
x.t("therefore","objects");
x.t("therefore","invokes");
x.t("behavior","occurs");
x.t("behavior","happens");
x.t("without","special");
x.t("object","example");
x.t("object","always");
x.t("object","bound");
x.t("object","original");
x.t("object","directly");
x.t("object","stored");
x.t("object","subsequently");
x.t("object","looked");
x.t("object","first");
x.t("object","returned");
x.t("object","client");
x.t("object","instantiate");
x.t("object","tibco");
x.t("object","factory");
x.t("object","knows");
x.t("object","third-party");
x.t("object","itself");
x.t("object","created");
x.t("object","locally");
x.t("object","lookup");
x.t("object","using");
x.t("object","object");
x.t("object","gets");
x.t("object","contains");
x.t("server","storing");
x.t("server","guarantee");
x.t("server","jndi");
x.t("server","reference");
x.t("server","client");
x.t("server","tibco");
x.t("server","running");
x.t("server","figure");
x.t("server","returns");
x.t("server","therefore");
x.t("server","object");
x.t("gets","stored");
x.t("contains","url");
x.t("contains","whatever");
}
